Bug 450452 - PolicyKit-gnome doesn't support GNU plural forms.
PolicyKit-gnome doesn't support GNU plural forms.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit-gnome (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 12:51 EDT by Leonid Kanter
Modified: 2009-09-21 18:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 21:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2008-06-08 12:51:24 EDT
Description of problem:

While trying to create Russian translation I found that it's impossible to
translate some messages correctly because only two plual forms supported but
there are 3 forms in Russian. It's bad idea to have multiple messages for plural
forms like "1 minute ago" and "%d minutes ago" because there are many languages
with more than 2 plural forms. It should look like

msgid "%d minute ago"
msgid_plural "%d minutes ago"

in .pot file with proper support in code.


Version-Release number of selected component (if applicable):

PolicyKit-gnome-0.8-4.fc9.i386
Comment 1 Matthias Clasen 2009-04-15 21:54:09 EDT
This string is gone in PolicyKit 0.91, which we will be switching to soon.
I don't think we will fix this in 0.9.x, so I am closing this for now.
Should plurals reappear in PolicyKit translations, I'll make sure we use ngettext

Note You need to log in before you can comment on or make changes to this bug.